import java.awt.event.*;
import javax.swing.*;

/** Class that creates a JButton with image icon
 * 
 * 	@version 1.0 01.06.06
 *  @author Vegard Kosmo
 *  @see     Videosegmenter
 *         
 */
public class Button extends JButton implements ActionListener{
	// Main application reference
	private Videosegmenter main;
	
	private static final long serialVersionUID = 1;	
	private int frameNumber;
	
	/** Standard constructor
	 * 
	 *  @param frameNumber The frame number of the image icon
	 *  @param main Main class reference
	 */
	public Button(int frameNumber, Videosegmenter main){		
		this.frameNumber = frameNumber;
		this.main = main;
	}
	
	// Handles events	
	public void actionPerformed(ActionEvent e){		
		main.mediaPlayer.startMediaPlayer(frameNumber);
    }
}
