import javax.media.jai.JAI;
import javax.media.jai.KernelJAI;
import javax.media.jai.PlanarImage;

/** Class that detects edges in a Planar Image
 *  
 *  @version 1.0 01.06.06
 *  @author Vegard Kosmo
 *	
 */
public class EdgeDetector{
	
	/** Standard constructor
	 * 
	 */
	public EdgeDetector(){
		
	}
		
	/** Method that returns an edge image from an input video frame
	 * 
	 *  @param inputImage The input image 
	 *  @return output The edge image generated from the input image
	 */
	public PlanarImage detectEdges(PlanarImage inputImage){
		
		// Create a constant array with the Sobel horizontal kernel.
		float[] kernelMatrix = { -1, -2, -1,
                0,  0,  0,
                1,  2,  1 };
		
		// Creates the kernel using the kernel matrix
		KernelJAI kernel = new KernelJAI(3,3,kernelMatrix);
			    	    
	    // Runs the convolve operator, creating the processed image.
	    PlanarImage output = JAI.create("convolve", inputImage, kernel);
			    
		return output;
	}
}
