import java.awt.Image;
import javax.media.*;
import javax.media.format.VideoFormat;
import javax.media.util.BufferToImage;

/** Class that selects frames from the input videos
 *  
 *  @version 1.0 01.06.06
 *  @author Vegard Kosmo
 *  @see Mediaplayer
 *
 */
public class FrameSelector{
	// Media player reference
	private Mediaplayer mediaPlayer;
	
	// Frame selector variables
	private Buffer buffer;
	private Image image;
	
	/** Standard constructor
	 * 
	 *  @param mediaPlayer The media player to play the video files
	 */
	public FrameSelector(Mediaplayer mediaPlayer){
		this.mediaPlayer = mediaPlayer;
	}
		
	/** Method to grab frames from the input video file
	 * 
	 *  @param frameNumber The frame number to pick
	 *  @return Returns the image of the given frame number
	 */
	public Image grabFrame(int frameNumber){
		mediaPlayer.fpc.seek(frameNumber);
		buffer = mediaPlayer.fgc.grabFrame();
		image = (new BufferToImage((VideoFormat)buffer.getFormat()).createImage(buffer));
		return image;
	}
}
