import java.awt.image.*;

/** Class that creates an object consisting of an image, an id and a frame number
 *  
 *  @version 1.0 01.06.06
 *  @author Vegard Kosmo
 *
 */
public class ResizedImageObject{
	private BufferedImage bufferedImage;
	private int id;
	private int frameNumber;
		
	/** Standard constructor
	 * 
	 *  @param bufferedImage The input image 
	 *  @param id The id of the object
	 *  @param frameNumber The frame number in the given video file
	 */
	public ResizedImageObject(BufferedImage bufferedImage, int id, int frameNumber){
		this.bufferedImage = bufferedImage;
		this.id = id;
		this.frameNumber = frameNumber;		
	}
	
	/** Method that returns the image from the ResizedImageObject
	 * 
	 *  @return bufferedImage Returns the image of the object
	 */
	public BufferedImage getBufferedImage(){
		return bufferedImage;
	}
	
	/** Method that returns the id from the ResizedImageObject
	 * 
	 *  @return id Returns the id of the obect
	 */
	public int getId(){
		return id;
	}
	
	/** Method that returns the frame number from the ResizedImageObject
	 *  
	 *  @return frameNumber Returns the frame number of the object
	 */
	public int getFrameNumber(){
		return frameNumber;
	}	
}
